@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');

html, body, html * {
    font-family: 'Roboto', sans-serif;
}

.main {
    max-width: 100%;
    min-width: 550px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.container {
    width: 550px;
    box-sizing: border-box;
    padding: 20px;
    display: inline-flex;
    flex-direction: column;
}

.rate-widget {
    padding: 30px;
    position: relative;
    display: flex;
    flex-direction: row;

}

.rate-widget:before {
    padding: 10px;
    font-size: 16px;
    position: absolute;
    bottom: 0;
    left: 0;
    content: 'не понравилось';
}

.rate-widget:after {
    padding: 10px;
    font-size: 16px;
    position: absolute;
    bottom: 0;
    right: 0;
    content: 'очень понравилось';
}

.rate-widget__item {
    min-width: 70px;
    height: 70px;
    margin: 10px;
    float: left;
    background-image: url('../icons/rates.svg');
    background-repeat: no-repeat;
}

.rate-widget__item-active {
    background-image: url('../icons/rates-active.svg');
}

.rate-widget__item_first {
    background-position: 15px;
}

.rate-widget__item_second {
    background-position: -50px;
}

.rate-widget__item_third {
    background-position: -115px;
}

.rate-widget__item_fourth {
    background-position: -195px;
}

.rate-widget__item_fifth {
    background-position: -268px;
}

.popup {
    display: none;
}

.popup__title {
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    margin: 0 0 10px 0;
}

.popup_active {
    display: block;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 0;
    text-align: center;
    min-width: 500px;
    background: #FFFFFF;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.25);
    border-radius: 10px;
    padding: 15px;
    margin: 10px;
    box-sizing: border-box;
}

.popup-fast {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    margin: 10px 0;
}

.popup-fast__item {
    cursor: pointer;
    text-align: center;
    border: 1px solid #2F80ED;
    padding: 6px 12px;
    border-radius: 4px;
    flex: 1 1 auto;
    margin: 5px 5px;
    color: black;
}

.popup-fast__item_active {
    background: #2F80ED;
    color: white;
}

.popup__form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

textarea {
    font-size: 17px;
    border-radius: 10px;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #F0F0F0;
    padding: 5px;
    outline-color: #2F80ED;
    font-weight: bold;
}

.btn {
    margin-top: 10px;
    width: 250px;
    height: 35px;
}

.btn_submit {
    border-radius: 5px;
    cursor: pointer;
    background-color: #2F80ED;
    color: white;
    border: none;
    font-size: 20px;
}